
Name:    kasablanca
Summary: Graphical FTP client
Version: 0.4.0.2
Release: 3%{?dist}

License: GPL
Url: 	 http://kasablanca.berlios.de/ 
Source:	 http://download.berlios.de/kasablanca/kasablanca-0.4.0.2.tar.gz
Group: 	 Applications/Internet 
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gettext 
BuildRequires: desktop-file-utils
BuildRequires: openssl-devel

BuildRequires: qt-devel >= 1:3.3
BuildRequires: kdelibs-devel >= 6:3.3

%description
Kasablanca is an ftp client for KDE, among its features are currently 
encryption (auth tls) support, fxp, site bookmarks, and queued transfers.


%prep
%setup -q 


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

# Needed(?) for older/legacy setups, harmless otherwise
if pkg-config openssl ; then
  export CPPFLAGS="$CPPFLAGS `pkg-config --cflags-only-I openssl`"
fi

%configure \
  --disable-rpath \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --delete-original --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category "X-Fedora" \
  --add-category "Network" \
  --add-category "Application" \
  --add-category "KDE" \
  $RPM_BUILD_ROOT%{_datadir}/appl*/*/*.desktop

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi


%clean
rm -rf $RPM_BUILD_ROOT 


%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
  
%postun 
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README 
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/apps/%{name}
%config %{_datadir}/config*/*
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Thu Nov 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0.2-3
- abs->relative symlinks
- simplify configure
- --add-category Application

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0.2-2
- %%post,%%postun: gtk-update-icon-cache
- drop CVS tags
- drop %%{?debug_package}

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0.2-1
- cleanup for Extras

* Thu Mar 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0.2-0.1.kde
- 0.4.0.2 

